libnet (1.1.6+dfsg-3.2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:05:39 +0200

libnet (1.1.6+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove example Makefile. (Closes: #949348, #949346)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 10 Jul 2022 13:45:56 -0700

libnet (1.1.6+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support (Closes:
    #870544).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 12:41:30 +0100

libnet (1.1.6+dfsg-3) unstable; urgency=medium

  * Use dh-autoreconf (closes: #751291), thanks to
    Fernando Seiti Furusato <ferseiti@br.ibm.com>
  * Standards version 3.9.5.0: No changes needed

 -- Stefanos Harhalakis <v13@v13.gr>  Wed, 11 Jun 2014 23:32:32 +0100

libnet (1.1.6+dfsg-2) unstable; urgency=low

  * Standards version 3.9.4: No changes needed
  * Upload to unstable

 -- Stefanos Harhalakis <v13@v13.gr>  Sun, 14 Jul 2013 19:29:16 +0100

libnet (1.1.6+dfsg-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.3: No changes needed
  * Fix hyphens in manpage
  * Make the package able to compile with -Werror:
    - Use socklen_t instead of int
    - Prevent gcc warning for ignored returned value
  * Multiarch:
    - libnet1 and libnet1-dbg are Multi-Arch: same
    - libnet1-dev is not multiarch because of /usr/bin/libnet-config
    - no changes for libnet1-doc
  * Remove libnet.la
  * Remove .dirs files from debian/ since they didn't contain anything
    useful
  * Fix debian/copyright to pass lintian checks
  * Remove dependency on quilt
  * Build-Depend on debhelper >=9
  * Remove win32/*.suo, win32/*.ncb and win32/*.opt from sources and
    add debian/README.source

 -- Stefanos Harhalakis <v13@v13.gr>  Thu, 21 Jun 2012 22:23:42 +0100

libnet (1.1.5-1) unstable; urgency=low

  * New upstream release

 -- Stefanos Harhalakis <v13@v13.gr>  Sat, 24 Mar 2012 13:24:26 +0000

libnet (1.1.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: libnet_init.c:88:17: error: format not a string literal
    and no format arguments [-Werror=format-security]": add patch from Bart
    Martens as Werror_format-security.patch.
    Closes: #643431

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2011 16:30:40 +0200

libnet (1.1.4-2) unstable; urgency=low

  * Fix double free()s (Closes: #534437)
  * Standards version 3.8.2

 -- Stefanos Harhalakis <v13@v13.gr>  Sat, 27 Jun 2009 14:50:35 +0300

libnet (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Removed quilt depedencies (no more debian patches).
  * Install upstream CHANGELOG in docs.

 -- Stefanos Harhalakis <v13@v13.gr>  Wed, 10 Jun 2009 17:18:17 +0300

libnet (1.1.3-2) unstable; urgency=low

  * debian/copyright fixes.
  * Fixed upstream author.

 -- Stefanos Harhalakis <v13@v13.gr>  Wed, 13 May 2009 23:28:01 +0300

libnet (1.1.3-1) unstable; urgency=low

  * New upstream release / upstream takeover (Closes: #418975)
  * New maintainer (Closes: #516222)  
  * debian/rules changed to CDBS

 -- Stefanos Harhalakis <v13@v13.gr>  Wed, 13 May 2009 21:43:35 +0300

libnet (1.1.2.1-5) unstable; urgency=low

  * Orphaning package
  * debian/control:
    - Maintainer set to QA team
    - Chris Hanson <cph> removed from Uploaders
    - libnet1-dbg package moved to section "debug"
    - Standards-Version bumped to 3.8.1 (no changes needed)
    - added Vcs-* fields
  * debian/patches/:
    - 00-fix_build_process.patch, 01-fix_libnet-functions.h.3.patch,
      02-fix_libnet_802_1q_hdr.3.patch, 03-fix_libnet_802_1x_hdr.3.patch,
      04-fix_libnet_build_ntp.patch, 06-fix_libnet_pblock_coalesce_leak.patch,
      07-add_libnet-cq-end-loop.patch, 08-fix_libnet_checksum.c.patch,
      09-fix_hurd-i386_build.patch : added patch descriptions
  * debian/README.source added

 -- David Paleino <d.paleino@gmail.com>  Wed, 06 May 2009 14:55:36 +0200

libnet (1.1.2.1-4) unstable; urgency=low

  * debian/patches:
    - series: disable 05-fix_libnet_pblock_coalesce_buffer_overrun.patch
      (Closes: #499239) -- looking for a new way to fix #418975

 -- David Paleino <d.paleino@gmail.com>  Fri, 19 Sep 2008 08:11:53 +0200

libnet (1.1.2.1-3) unstable; urgency=low

  * Package adopted (Closes: #483710)
  * debian/compat bumped to 6
  * debian/control:
    - set myself as Maintainer
    - updated debhelper B-D to >= 6
    - added quilt B-D
    - Standards-Version bumped to 3.8.0:
      + added parallel-building capabilities to debian/rules
    - added Homepage field
    - added libnet1-doc package:
      + moved libnet1-dev.doc* to libnet1-doc.doc*
      + updated libnet1-doc.doc-base
      + added libnet1-doc.{postinst,prerm} to register files with 
        doc-base
      + added libnet1-doc.examples
    - added libnet1-dbg package:
      + added --dbg-package to dh_strip in debian/rules
  * debian/*.files moved to debian/*.install (using dh_install instead of
    dh_movefiles in debian/rules)
  * debian/rules:
    - added LDFLAGS to ./configure
    - added quilt capabilities
  * debian/libnet-config.1: fixed hyphen-used-as-minus-sign lintian warning
  * debian/patches:
    - 00-fix_build_process.patch added (moving from .diff.gz to a proper patch)
    - 01-fix_libnet-functions.h.3.patch added (hyphen-used-as-minus-sign)
    - 02-fix_libnet_802_1q_hdr.3.patch added (manpage-has-bad-whatis-entry)
    - 03-fix_libnet_802_1x_hdr.3.patch added (manpage-has-bad-whatis-entry)
    - 04-fix_libnet_build_ntp.patch added (Closes: #418249)
    - 05-fix_libnet_pblock_coalesce_buffer_overrun.patch added
      (Closes: #418975), thanks to Simon Horman <horms@debian.org>
    - 06-fix_libnet_pblock_coalesce_leak.patch added (Closes: #418979),
      thanks to Simon Horman <horms@debian.org>
    - 07-add_libnet-cq-end-loop.patch added (Closes: #497909)
    - 08-fix_libnet_checksum.c.patch added (moving from .diff.gz to a proper
      patch)
    - 09-fix_hurd-i386_build.patch added (fixes build on Hurd i386)
      (Closes: #457506)
  * debian/copyright:
    - updated to RFC822 machine-readable format
    - updated with *lots* of missing information
  * debian/libnet1.symbols added
  * debian/watch added
  * debian/libnet1-doc.{postinst,prerm} removed

 -- David Paleino <d.paleino@gmail.com>  Thu, 11 Sep 2008 16:55:36 +0200

libnet (1.1.2.1-2) unstable; urgency=low

  * Fixed bugus checksum of odd sized packets (closes: #284729).
    Patch courtesy of Wu Yongwei.

 -- Domenico Andreoli <cavok@debian.org>  Mon,  3 Jan 2005 00:27:05 +0100

libnet (1.1.2.1-1) unstable; urgency=low

  * New upstream version. 

 -- Domenico Andreoli <cavok@debian.org>  Wed, 31 Mar 2004 03:08:51 +0200

libnet (1.1.2-1) unstable; urgency=low

  * New upstream version. 

 -- Domenico Andreoli <cavok@debian.org>  Sat, 27 Mar 2004 20:28:38 +0100

libnet (1.1.1rel-2) unstable; urgency=low

  * Domenico Andreoli <cavok@debian.org>:

    - Add README.Debian explaining doc problems.  (closes: Bug#224674)

  * Chris Hanson <cph@debian.org>:

    - Include man page for libnet-functions.h.  (closes: Bug#232465)
    - Patch "libnet_if_addr.c" so that it can detect interfaces that are
      down.  (closes: Bug#219108)
    - Modify rules to automatically update config.* and to support noopt,
      and bump standards version to 3.6.1.
    - Add myself as uploader.
    - Edit package descriptions.

 -- Chris Hanson <cph@debian.org>  Fri, 27 Feb 2004 13:35:31 -0500

libnet (1.1.1rel-1) unstable; urgency=low

  * New upstream version.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 28 Nov 2003 00:47:24 +0100

libnet (1.1.1rc5-0rc5+1) unstable; urgency=low

  * Fixed a simple ABI change (closes: #210341). 

 -- Domenico Andreoli <cavok@debian.org>  Thu, 11 Sep 2003 01:51:28 +0200

libnet (1.1.1rc5-0rc5) unstable; urgency=low

  * New upstream beta version:
    - it now works with interfaces without IP address (closes: #180441).
  * Now debian/rules passes host and build params to configure
    (closes: #187195)
  * Changed section of libnet1-dev to libdevel.
  * Fixed some buffer overflows in DHCP code (closes: #205610).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 21 Aug 2003 01:13:22 +0200

libnet (1.1.0-3) unstable; urgency=low

  * Uses @LTLIBOBJS@ instead of @LIBOBJS@ in src/Makefile.am. This fixes,
    among others, the -fPIC problem on hppa (closes: #170979).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 28 Nov 2002 11:56:48 +0100

libnet (1.1.0-2) unstable; urgency=low

  * Fixed configure.in and acinclude.m4 to work with autoconf >= 2.54.
  * Added AM_MAINTAINER_MODE to configure.in (closes: #170609).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 26 Nov 2002 01:48:37 +0100

libnet (1.1.0-1) unstable; urgency=low

  * New upstream version (closes: #156309). Sorry for the huge delay :(

 -- Domenico Andreoli <cavok@debian.org>  Tue, 19 Nov 2002 01:03:41 +0100

libnet0 (1.0.2a-4) unstable; urgency=low

  * Backported a working configure check for PF_PACKET interface from
    libnet 1.1.0, original one of version 1.0.2a was broken.
  * Enabled the support for the PF_PACKET interface, this will break
    the use on kernels of the 2.0.x series and older.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 24 Oct 2002 16:50:36 +0200

libnet0 (1.0.2a-3) unstable; urgency=low

  * Source package name changed to libnet0, I intend to use libnet
    name for the source package of next major version of libnet, 1.1.0,
    which I'm going to upload sooner or later.
  * Section field changed to "oldlibs". This release is here only for
    the nostalgics and their software. Probably this will be the last
    one of the 1.0.x branch.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 19 Oct 2002 20:38:26 +0200

libnet (1.0.2a-2) unstable; urgency=low

  * Added the reference manual found on libnet site.
  * Added testsuite sources to the available examples (closes: #91752).

 -- Domenico Andreoli <cavok@debian.org>  Fri,  1 Feb 2002 20:34:08 +0100

libnet (1.0.2a-1) unstable; urgency=low

  * New upstream release.
    - removed dangling symlink (closes: #97233).
  * Fixed compiler warnings (closes: #106071).
    Patch courtesy of Ryan Bradetich.
  * Added manpage for libnet-config.
  * Acknowledged NMU, courtesy of LaMont Jones (closes: #121235).
  * New Debian maintainer (closes: #86874).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 18 Jan 2002 16:34:18 +0100

libnet (1.0.1b-2.1) unstable; urgency=low

  * Non maintainer upload.
  * New config.guess and config.sub for architecture support
    (closes: #121235).

 -- LaMont Jones <lamont@debian.org>  Wed, 12 Dec 2001 16:35:10 -0700

libnet (1.0.1b-2) unstable; urgency=low

  * Include new version of config.{guess,sub} (closes: #90425).
  * Updated to policy 3.5.0.
  * Added a Build-Depends on debhelper.
  * Changed depends from libc-dev to libc6-dev.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon,  2 Apr 2001 10:27:39 -0700

libnet (1.0.1b-1) unstable; urgency=low

  * New upstream release.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu,  5 Oct 2000 13:32:43 -0700

libnet (1.0-1) unstable; urgency=low

  * New upstream release.
  * Changes to meet current policy.

 -- Sean E. Perry <shaleh@debian.org>  Thu, 11 Nov 1999 23:54:10 -0800

libnet (0.99g-1) unstable; urgency=low

  * Initial release.

 -- Sean E. Perry <shaleh@debian.org>  Mon, 13 Sep 1999 18:16:40 -0700
